/**
 * Patrick Hund's custom theme.
 *
 * Based on Solarized Light theme for reveal.js.
 * Author: Achim Staebler
 */
@import url(../../lib/font/league-gothic/league-gothic.css);
@import url(https://fonts.googleapis.com/css?family=Lato:400,700,400italic,700italic);
/**
 * Solarized colors by Ethan Schoonover
 */
html * {
  color-profile: sRGB;
  rendering-intent: auto; }

/*********************************************
 * GLOBAL STYLES
 *********************************************/
body {
  background: #fdf6e3;
  background-color: #fdf6e3; }

.reveal {
  font-family: "Lato", sans-serif;
  font-size: 40px;
  font-weight: normal;
  color: #657b83; }

::selection {
  color: #fff;
  background: #d33682;
  text-shadow: none; }

::-moz-selection {
  color: #fff;
  background: #d33682;
  text-shadow: none; }

.reveal .slides section,
.reveal .slides section > section {
  line-height: 1.3;
  font-weight: inherit; }

/*********************************************
 * HEADERS
 *********************************************/
.reveal h1,
.reveal h2,
.reveal h3,
.reveal h4,
.reveal h5,
.reveal h6 {
  margin: 0 0 20px 0;
  color: #586e75;
  font-family: "League Gothic", Impact, sans-serif;
  font-weight: normal;
  line-height: 1.2;
  letter-spacing: normal;
  text-transform: uppercase;
  text-shadow: none;
  word-wrap: break-word; }

.reveal h1 {
  font-size: 3.77em; }

.reveal h2 {
  font-size: 2.11em; }

.reveal h3 {
  font-size: 1.55em; }

.reveal h4 {
  font-size: 1em; }

.reveal h1 {
  text-shadow: none; }

/*********************************************
 * OTHER
 *********************************************/
.reveal p {
  margin: 20px 0;
  line-height: 1.3; }

/* Ensure certain elements are never larger than the slide itself */
.reveal img,
.reveal video,
.reveal iframe {
  max-width: 95%;
  max-height: 95%; }

.reveal strong,
.reveal b {
  font-weight: bold; }

.reveal em {
  font-style: italic; }

.reveal ol,
.reveal dl,
.reveal ul {
  display: inline-block;
  text-align: left;
  margin: 0 0 0 1em; }

.reveal ol {
  list-style-type: decimal; }

.reveal ul {
  list-style-type: disc; }

.reveal ul ul {
  list-style-type: square; }

.reveal ul ul ul {
  list-style-type: circle; }

.reveal ul ul,
.reveal ul ol,
.reveal ol ol,
.reveal ol ul {
  display: block;
  margin-left: 40px; }

.reveal dt {
  font-weight: bold; }

.reveal dd {
  margin-left: 40px; }

.reveal blockquote {
  display: block;
  position: relative;
  width: 70%;
  margin: 20px auto;
  padding: 5px;
  font-style: italic;
  background: rgba(255, 255, 255, 0.05);
  box-shadow: 0px 0px 2px rgba(0, 0, 0, 0.2); }

.reveal blockquote p:first-child,
.reveal blockquote p:last-child {
  display: inline-block; }

.reveal q {
  font-style: italic; }

.reveal pre {
  display: block;
  position: relative;
  width: 90%;
  margin: 20px auto;
  text-align: left;
  font-size: 0.55em;
  font-family: monospace;
  line-height: 1.2em;
  word-wrap: break-word;
  box-shadow: 0px 0px 6px rgba(0, 0, 0, 0.3); }

.reveal code {
  font-family: monospace;
  text-transform: none; }

.reveal pre code {
  display: block;
  padding: 5px;
  overflow: auto;
  max-height: 400px;
  word-wrap: normal; }

.reveal table {
  margin: auto;
  border-collapse: collapse;
  border-spacing: 0; }

.reveal table th {
  font-weight: bold; }

.reveal table th,
.reveal table td {
  text-align: left;
  padding: 0.2em 0.5em 0.2em 0.5em;
  border-bottom: 1px solid; }

.reveal table th[align="center"],
.reveal table td[align="center"] {
  text-align: center; }

.reveal table th[align="right"],
.reveal table td[align="right"] {
  text-align: right; }

.reveal table tbody tr:last-child th,
.reveal table tbody tr:last-child td {
  border-bottom: none; }

.reveal sup {
  vertical-align: super;
  font-size: smaller; }

.reveal sub {
  vertical-align: sub;
  font-size: smaller; }

.reveal small {
  display: inline-block;
  font-size: 0.6em;
  line-height: 1.2em;
  vertical-align: top; }

.reveal small * {
  vertical-align: top; }

/*********************************************
 * LINKS
 *********************************************/
.reveal a {
  color: #268bd2;
  text-decoration: none;
  -webkit-transition: color .15s ease;
  -moz-transition: color .15s ease;
  transition: color .15s ease; }

.reveal a:hover {
  color: #78b9e6;
  text-shadow: none;
  border: none; }

.reveal .roll span:after {
  color: #fff;
  background: #1a6091; }

/*********************************************
 * IMAGES
 *********************************************/
.reveal section img {
  margin: 15px 0px;
  background: rgba(255, 255, 255, 0.12);
  border: 4px solid #657b83;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.15); }

.reveal section img.plain {
  border: 0;
  box-shadow: none; }

.reveal a img {
  -webkit-transition: all .15s linear;
  -moz-transition: all .15s linear;
  transition: all .15s linear; }

.reveal a:hover img {
  background: rgba(255, 255, 255, 0.2);
  border-color: #268bd2;
  box-shadow: 0 0 20px rgba(0, 0, 0, 0.55); }

/*********************************************
 * NAVIGATION CONTROLS
 *********************************************/
.reveal .controls {
  color: #268bd2; }

/*********************************************
 * PROGRESS BAR
 *********************************************/
.reveal .progress {
  background: rgba(0, 0, 0, 0.2);
  color: #268bd2; }

.reveal .progress span {
  -webkit-transition: width 800ms cubic-bezier(0.26, 0.86, 0.44, 0.985);
  -moz-transition: width 800ms cubic-bezier(0.26, 0.86, 0.44, 0.985);
  transition: width 800ms cubic-bezier(0.26, 0.86, 0.44, 0.985); }

/*********************************************
 * PRINT BACKGROUND
 *********************************************/
@media print {
  .backgrounds {
    background-color: #fdf6e3; } }

/*********************************************
 * CUSTOM STYLES
 *********************************************/
.right-half {
  margin-left: 50% !important;
  text-align: left; }

.pink {
  color: #d33682; }

.blue {
  color: #268bd2; }

.reveal section img {
  border: 0;
  box-shadow: none;
  background: none; }

.slides figcaption {
  font-size: 0.5em;
  margin-top: -20px; }

.reveal .white {
  color: white; }

.reveal .no-margin {
  margin: 0; }

.reveal .no-margin-bottom {
  margin-bottom: 0; }

.reveal .no-margin-top {
  margin-top: 0; }

.reveal .pull-up {
  margin-top: -1rem; }

.reveal img.small {
  width: 50%;
  height: 50%; }

.reveal .box-shadow {
  box-shadow: 0 0 20px rgba(0, 0, 0, 0.55); }

.reveal .margin-right {
  margin-right: 0.5rem; }

.reveal .large-margin-top {
  margin-top: 6rem; }

.reveal .margin-top {
  margin-top: 3rem; }

.reveal .red {
  color: darkred; }

.reveal .green {
  color: darkgreen; }

.reveal section.smaller-text {
  font-size: 80%; }

.reveal p.small {
  font-size: 60%; }

.reveal .PH_TODO {
  font-family: Monaco, Menlo, Consolas, "Courier New", monospace;
  background-color: lime;
  border-radius: 15px;
  padding: 15px; }

.reveal .bottom-right {
  display: flex;
  align-items: flex-end;
  justify-content: flex-end; }

.reveal figcaption {
  font-size: 0.5em;
  margin-top: -20px; }

.reveal .credits {
  font-size: 66%; }

.reveal .credits p {
  margin: 0; }

.reveal .credits .name {
  color: #d33682; }

.reveal .credits .function {
  font-size: 66%;
  opacity: 0.4; }

.reveal .left-align {
  text-align: left; }

#ebay-logo {
  position: absolute;
  z-index: 1000;
  left: 12px;
  top: 12px;
  width: 15vw; }

.reveal code mark, .reveal code mark > * {
  color: #fdf6e3 !important;
  background-color: #d33682; }

.reveal .columns-container {
  align-items: center;
  display: flex; }

.reveal .column-two-thirds {
  flex: 1 1 66%; }

.reveal .column-one-third {
  flex: 1 1 33%; }

.reveal .column-one-half {
  flex: 1 1 50%; }

.reveal .nocaps {
  text-transform: none; }

.reveal aside.notes {
  font-size: 80%; }
